/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		 2024-1-24			1.00		    供应商列表
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js') 
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据 
   */
  data: {
    btnFormData:'{\"flag\":true}',
    buttonList: [{
      name: 'merge',
      title: mixins.$t("add"), //'保存'
  }],
  contentList: [{
      code: 'flag',
      title: mixins.$t("enable"), //'自动入库办理',
      type: 'checkbox'
  },  ],
       // 查询条件
   searchContent: [],
    checked:true, //启用标识
    tagList: [{
      title: mixins.$t("all") //全部
    }, {
      title: mixins.$t("procurementSupplier") //采购供应商
    }, {
      title: mixins.$t("serviceProvider") // 服务供应商
    }], // 假数据 
    
    supplierService: app.globalData['supplierService'],
    contentObj: {
      [mixins.$t("procurementSupplier")]: [{
        name: 'contactName',
        title: mixins.$t("contactName") //联系人
      }, {
        name: 'contactPhone',
        title: mixins.$t("contactPhone") //联系电话
      }, {
        name: 'brandName',
        title: mixins.$t("brandId") //供货品牌
      }],
      [mixins.$t("serviceProvider")]: [{
        name: 'contactName',
        title: mixins.$t("contactName") //联系人
      }, {
        name: 'contactPhone',
        title: mixins.$t("contactPhone") //联系电话
      }, {
        name: 'serviceCategoriesName',
        title: mixins.$t("serviceCategories") //服务类别
      }]
    },

    // 主键Id
    primaryKey: 'supId',

    totallength: 0, //视图下方提醒数量

    // 路由
    routeObjName: 'supplier',
  },

  /**
   * @desc : 切换  全部 采购供应商  服务供应商
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  onChangeTabs(e) {
    let index = e.detail.detail.index
    this.setData({
      active: index,
    })
    this.searchData()
  },

  /**
   * @desc : 左滑 停用回调
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  swipe(e) {
    let param = {
      supId: e.detail.item.supId
    }
    
    let excute = this.excute(this.data.supplierService,this.data.supplierService.deactivateData,param);
    excute.then(res => {
      if (res.data.code === Constants.SUCESS_CODE) {
        this.searchData() 
      }
    })
    return excute;
  },
  /**
   * @desc : 设置查询参数
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  setSearchParams(params) {
    let active = this.data.active
    if (active == 0) { //全部
      params.supType = ""
    }
    if (active == 1) { //采购供应商
      params.supType = '供应商类别-采购' //采购供应商
    }
    if (active == 2) { //服务供应商
      params.supType = '供应商类别-服务' //采购供应商
    }
    if(this.data.checked){ //启用标识开启  
      params.flgValid = true
    }else{
      params.flgValid = false
    }
    return params
  },
  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);
  },
  /**
   * @desc : 查询接口回调后续处理
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  handleSearchData(data) {
    data.forEach(element => {
      element.collectStatus = element.flgValid ? 'enable' : "disable"
      element.collectName = mixins.$t("meet") //应付
      element.collectCol = "0"
    });
    this.setData({
      tableData: data
    })
  },

 
  
    /**
   * @desc : 底部 新建按钮旁 启用回调事件
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  cke_change(){
    let btnFormData = JSON.parse(this.data.btnFormData)
    this.setData({
      checked:btnFormData.flag 
    })
    this.searchData()
  }
})